GET
/
v1
/
teams
/
{teamId}
/
content
/
render-jobs
/
{renderJobId}
/
events
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.listContentRenderJobEvents({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  renderJobId: process.env.OCTOSPARK_RENDER_JOB_ID ?? "renderJobId",
  query: {},
})
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sequence": 123,
      "eventName": "<string>",
      "payload": {},
      "createdAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

renderJobId
string<uuid>
required

Render job id (UUID), as returned by createContentRenderJob or an artifact run.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

afterSeq
string

a string to be decoded into a number

limit
string

a string to be decoded into a number

Response

ContentJobEventsResponse

data
object[]
required